Runs
Download an evaluation artifact
POST
/
api
/
v1
/
evaluations
/
{id}
/
artifacts
/
{artifactId}
/
download
Download an evaluation artifact
curl --request POST \
--url https://dev.simforge.ai/api/v1/evaluations/{id}/artifacts/{artifactId}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.simforge.ai/api/v1/evaluations/{id}/artifacts/{artifactId}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.simforge.ai/api/v1/evaluations/{id}/artifacts/{artifactId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"url": "<string>",
"expiresAt": "<string>",
"sha256": "<string>",
"bytes": 123,
"mediaType": "<string>"
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}Authorizations
A sfc_at_… access token from simforge login, or an sfk_… API key. An operation's security lists the scopes the credential must hold.
⌘I
Download an evaluation artifact
curl --request POST \
--url https://dev.simforge.ai/api/v1/evaluations/{id}/artifacts/{artifactId}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.simforge.ai/api/v1/evaluations/{id}/artifacts/{artifactId}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.simforge.ai/api/v1/evaluations/{id}/artifacts/{artifactId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"url": "<string>",
"expiresAt": "<string>",
"sha256": "<string>",
"bytes": 123,
"mediaType": "<string>"
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}